#ifndef WAFERREBUILD_H
#define WAFERREBUILD_H

#ifdef _EXPORTING 
#define API_DECLSPEC    __declspec(dllexport)  
#else  
#define API_DECLSPEC    __declspec(dllimport)  
#endif 

#include <vector>
#include <string>
#include <tuple>
#include "math_tool.h"
#include "image.h"
#include "nlohmann/json.hpp"

class ArithPmd;
class API_DECLSPEC WaferRebuild
{
public:
	WaferRebuild();
	~WaferRebuild();

private:

	ArithPmd* arith_pmd;
public:

	std::tuple<int, std::string> initParam(const nlohmann::json& param);

	std::tuple<int, std::vector<std::shared_ptr<infra::Point3d<float>>>, std::string> algoCalculate(const std::vector<infra::Image>& image_list);

};

#endif // WAFERREBUILD_H